﻿using System;
using System.Windows.Forms;

namespace eBoard
{
    public partial class FormBoard : Form
    {
        public eBoard eboard;

        public FormBoard(eBoard eb)
        {
            InitializeComponent();

            eboard = eb;
            this.WindowState = FormWindowState.Maximized;
        }

        private void pictureBoxBoard_MouseDown(object sender, MouseEventArgs e)
        {
            eboard.boardMouseDown(e.X, e.Y);
        }


        private void pictureBoxBoard_MouseMove(object sender, MouseEventArgs e)
        {
            eboard.boardMouseMove(e.X, e.Y);
        }

        private void pictureBoxBoard_MouseUp(object sender, MouseEventArgs e)
        {
            eboard.boardMouseUp(e.X, e.Y);
        }

        private void FormBoard_KeyPress(object sender, KeyPressEventArgs e)
        {
            eboard.keyHit(e.KeyChar);
        }

        private void pictureBoxBoard_Paint(object sender, PaintEventArgs e)
        {
            eboard.draw(e.Graphics);
        }

        public void redraw()
        {
            pictureBoxBoard.Invalidate();
        }
    }
}
