﻿using System;
using System.Collections;
using System.Drawing;
using System.Windows.Forms;

namespace eBoard
{
    public partial class FormTool : Form
    {
        eBoard eboard;

        public FormTool(eBoard eb)
        {
            InitializeComponent();

            this.eboard = eb;
            // 工具位置設定在左上角
            this.Left = Screen.PrimaryScreen.Bounds.Width - this.Width;
            this.Top = 0;
        }

        private void FormTool_KeyPress(object sender, KeyPressEventArgs e)
        {
            eboard.keyHit(e.KeyChar);
        }

        private void toolStripComboBoxAction_SelectedIndexChanged(object sender, EventArgs e)
        {
            Action action = (Action) eboard.actions[toolStripComboBoxAction.SelectedIndex];
            eboard.doAction(action);
        }

        private void toolStripComboBoxBoardType_SelectedIndexChanged(object sender, EventArgs e)
        {
            BoardType boardType = (BoardType) eboard.boardTypes[toolStripComboBoxBoardType.SelectedIndex];
            eboard.switchBoard(boardType);
        }

        private void toolStripComboBoxDrawMode_SelectedIndexChanged(object sender, EventArgs e)
        {
            DrawMode mode = (DrawMode) eboard.drawModes[toolStripComboBoxDrawMode.SelectedIndex];
            eboard.setDrawMode(mode);
        }

        private void toolStripComboBoxColor_SelectedIndexChanged(object sender, EventArgs e)
        {
            Color c = (Color) eboard.colors[toolStripComboBoxColor.SelectedIndex];
            eboard.setPenColor(c);
        }

        private void toolStripComboBoxWidth_SelectedIndexChanged(object sender, EventArgs e)
        {
            int w = (int) eboard.widths[toolStripComboBoxWidth.SelectedIndex];
            eboard.setPenWidth(w);
        }


        private void toolStripComboBoxPage_SelectedIndexChanged(object sender, EventArgs e)
        {

        }

/*        public void boardToolEnable()
        {
            toolStripComboBoxDrawMode.Enabled = true;
            toolStripComboBoxColor.Enabled = true;
            toolStripComboBoxWidth.Enabled = true;
        }

        public void boardToolDisable()
        {
            toolStripComboBoxDrawMode.Enabled = false;
            toolStripComboBoxColor.Enabled = false;
            toolStripComboBoxWidth.Enabled = false;
        }
*/
        public void setComboSelect(ToolStripComboBox combo, ArrayList list, Object o)
        {
            for (int i = 0; i < list.Count; i++)
            {
                if (list[i].Equals(o))
                    combo.SelectedIndex = i;
            }
        }

        public void setDrawMode(DrawMode mode)
        {
            setComboSelect(toolStripComboBoxDrawMode, eboard.drawModes, mode);
        }

        public void setPenColor(Color color)
        {
            setComboSelect(toolStripComboBoxColor, eboard.colors, color);
        }

        public void setPenWidth(int width)
        {
            setComboSelect(toolStripComboBoxWidth, eboard.widths, width);
        }

        public void setBoardType(BoardType type)
        {
            setComboSelect(toolStripComboBoxBoardType, eboard.boardTypes, type);
        }

        public void setAction(Action action)
        {
            setComboSelect(toolStripComboBoxAction, eboard.actions, action);
        }
    }
}

